Subject: Re: bnx2 probe order change from 2.6.21 -> 2.6.24

From: "Michael Chan" <[email-masked]>
Date: Thu, 10 Apr 2008 11:45:16 -0700

On Thu, 2008-04-10 at 08:44 -0700, Phil Oester wrote:
> I recently upgraded a Dell Poweredge 1950 from 2.6.21 to 2.6.24, and
> found
> that the onboard Broadcom NetXtreme II nics got probed in the reverse
> order.

I know there is a difference in PCI probing order between 2.4 and 2.6
kernels on x86 machines, but I'm not aware of changes in these 2 recent
2.6 kernels you mentioned above.  Various kernel parameters such as
pci=nosort, pci=bfsort, pci=nobfsort can affect the order.  Are you
using any of these?